Name: perl-Locale-gettext
Version: 1.01
Release: 1.norlug
Group: Development/Perl
License: GPL or Artistic
URL: http://www.cpan.org/modules/by-module/Locale
Source: http://www.cpan.org/modules/by-module/Locale/gettext-%{version}.tar.gz
Patch0: gettext-1.01-fix-example-in-README.patch.bz2
Patch1: gettext-1.01-includes.patch.bz2
Patch2: gettext-1.01-add-iconv.patch.bz2
Summary: Internationalization for Perl
#BuildRequires: gettext-devel perl-devel
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: perl-gettext

%description
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software. 

It provides gettext(), dgettext(), dcgettext(), textdomain() and
bindtextdomain().

%prep
%setup -q -n gettext-%{version}
%patch0 -p1
%patch1 -p1 -b .includes
%patch2 -p0

%build
%{__perl} Makefile.PL
make
make test

#%install
#rm -rf $RPM_BUILD_ROOT
#%makeinstall
#
##%install
##rm -rf $RPM_BUILD_ROOT
#%define installdirs %(eval `perl '-V:installarchlib'`)
##mkdir -p $RPM_BUILD_ROOT/$installarchlib
##make PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=$PREFIX/$installarchlib install
##%makeinstall
#
#%clean
#rm -rf $RPM_BUILD_ROOT
#
#%files
#%defattr(-,root,root)
#%doc README
#%{installdirs}/Locale/*
#%{installdirs}/auto/Locale/*
#%{_mandir}/*/*

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print |
    sed "s@^$RPM_BUILD_ROOT@@g" |
    grep -v perllocal.pod |
    grep -v "\.packlist" > gettext-1.01-filelist
if [ "$(cat gettext-1.01-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f gettext-1.01-filelist
%defattr(-,root,root)

%changelog
* Sun May 16 2004 Chip Cuccio <chipster@norlug.org> 1.01-1
- initial build

